Bug 1312497 - [abrt] python3-spec: __init__.py:839:resolve:DistributionNotFound: The 'spec==1.0.0' distribution was not found and is required by the application
[abrt] python3-spec: __init__.py:839:resolve:DistributionNotFound: The 'spec=...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python-spec (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:91ff3d4c21ce66f32c1031c78e2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-26 17:22 EST by Niki Guldbrand
Modified: 2016-12-20 14:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 14:03:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.54 KB, text/plain)
2016-02-26 17:22 EST, Niki Guldbrand
no flags Details
File: environ (4.02 KB, text/plain)
2016-02-26 17:22 EST, Niki Guldbrand
no flags Details

  None (edit)
Description Niki Guldbrand 2016-02-26 17:22:26 EST
Description of problem:
just tried to run /usr/bin/spec from the commandline

Version-Release number of selected component:
python3-spec-1.0.0-2.fc23

Additional info:
reporter:       libreport-2.6.4
cmdline:        /usr/bin/python2 /usr/bin/spec -h
dso_list:       python-setuptools-18.0.1-2.fc23.noarch
executable:     /usr/bin/spec
kernel:         4.3.5-300.fc23.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
__init__.py:839:resolve:DistributionNotFound: The 'spec==1.0.0' distribution was not found and is required by the application

Traceback (most recent call last):
  File "/usr/bin/spec", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3084, in <module>
    @_call_aside
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3070, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3097, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 651, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 952, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 839, in resolve
    raise DistributionNotFound(req, requirers)
DistributionNotFound: The 'spec==1.0.0' distribution was not found and is required by the application

Local variables in innermost frame:
dist: None
requirers: None
to_activate: []
req: Requirement.parse('spec==1.0.0')
requirements: []
replace_conflicting: False
required_by: defaultdict(<type 'set'>, {})
ws: <pkg_resources.WorkingSet object at 0x7fe1901ab950>
processed: {}
env: <pkg_resources.Environment object at 0x7fe1901ca050>
installer: None
self: <pkg_resources.WorkingSet object at 0x7fe1901ab950>
best: {'spec': None}
Comment 1 Niki Guldbrand 2016-02-26 17:22:30 EST
Created attachment 1130913 [details]
File: backtrace
Comment 2 Niki Guldbrand 2016-02-26 17:22:33 EST
Created attachment 1130914 [details]
File: environ
Comment 3 Fedora Admin XMLRPC Client 2016-04-26 00:02:58 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2016-11-24 10:47:14 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 14:03:32 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.